gdcm::OpenSSLP7CryptographicMessageSyntax Class Reference

`#include <gdcmOpenSSLP7CryptographicMessageSyntax.h>`

Inheritance diagram for gdcm::OpenSSLP7CryptographicMessageSyntax:
[legend]
Collaboration diagram for gdcm::OpenSSLP7CryptographicMessageSyntax:
[legend]

## Public Member Functions

| OpenSSLP7CryptographicMessageSyntax ()
| ~OpenSSLP7CryptographicMessageSyntax ()
bool | Decrypt (char *output, size_t &outlen, const char *array, size_t len) const
| decrypt content from a PKCS#7 envelopedData structure
bool | Encrypt (char *output, size_t &outlen, const char *array, size_t len) const
| create a PKCS#7 envelopedData structure
CipherTypes | GetCipherType () const
bool | ParseCertificateFile (const char *filename)
bool | ParseKeyFile (const char *filename)
void | SetCipherType (CipherTypes type)
bool | SetPassword (const char *, size_t)
Public Member Functions inherited from gdcm::CryptographicMessageSyntax
| CryptographicMessageSyntax ()=default
| CryptographicMessageSyntax (const CryptographicMessageSyntax &)=delete
virtual | ~CryptographicMessageSyntax ()=default
void | operator= (const CryptographicMessageSyntax &)=delete

## Additional Inherited Members

Public Types inherited from gdcm::CryptographicMessageSyntax
enum | CipherTypes { DES3_CIPHER , AES128_CIPHER , AES192_CIPHER , AES256_CIPHER }

## Detailed Description

Class for CryptographicMessageSyntax encryption. This is just a simple wrapper around openssl PKCS7_encrypt functionalities

See online documentation http://www.openssl.org/docs/crypto/PKCS7_encrypt.html

## Constructor & Destructor Documentation

## OpenSSLP7CryptographicMessageSyntax()

gdcm::OpenSSLP7CryptographicMessageSyntax::OpenSSLP7CryptographicMessageSyntax | ( |  | ) |

Referenced by Decrypt().

## ~OpenSSLP7CryptographicMessageSyntax()

gdcm::OpenSSLP7CryptographicMessageSyntax::~OpenSSLP7CryptographicMessageSyntax | ( |  | ) |

## Member Function Documentation

## Decrypt()

bool gdcm::OpenSSLP7CryptographicMessageSyntax::Decrypt | ( | char * | output,
|  | size_t & | outlen,
|  | const char * | array,
|  | size_t | len ) const

virtual

decrypt content from a PKCS#7 envelopedData structure

Implements gdcm::CryptographicMessageSyntax.

References OpenSSLP7CryptographicMessageSyntax().

## Encrypt()

bool gdcm::OpenSSLP7CryptographicMessageSyntax::Encrypt | ( | char * | output,
|  | size_t & | outlen,
|  | const char * | array,
|  | size_t | len ) const

virtual

create a PKCS#7 envelopedData structure

Implements gdcm::CryptographicMessageSyntax.

## GetCipherType()

CipherTypes gdcm::OpenSSLP7CryptographicMessageSyntax::GetCipherType | ( |  | ) | const

virtual

Implements gdcm::CryptographicMessageSyntax.

## ParseCertificateFile()

bool gdcm::OpenSSLP7CryptographicMessageSyntax::ParseCertificateFile | ( | const char * | filename | ) |

virtual

Implements gdcm::CryptographicMessageSyntax.

## ParseKeyFile()

bool gdcm::OpenSSLP7CryptographicMessageSyntax::ParseKeyFile | ( | const char * | filename | ) |

virtual

Implements gdcm::CryptographicMessageSyntax.

## SetCipherType()

void gdcm::OpenSSLP7CryptographicMessageSyntax::SetCipherType | ( | CipherTypes | type | ) |

virtual

Set Cipher Type. Default is: AES256_CIPHER

Implements gdcm::CryptographicMessageSyntax.

## SetPassword()

bool gdcm::OpenSSLP7CryptographicMessageSyntax::SetPassword | ( | const char * | ,
|  | size_t | )

inline virtual

Implements gdcm::CryptographicMessageSyntax.

References gdcmWarningMacro.

The documentation for this class was generated from the following file:

- gdcmOpenSSLP7CryptographicMessageSyntax.h